# Command: Create

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    Create - create a number of equal nodes in the current subnet

Synopsis:

      /model	 Create -> gid
      /model n	 Create -> gid
      /model   params Create -> gid
      /model n params Create -> gid

Description:

      Create generates n new network objects of the supplied model
      type. If n is not given, a single node is created. The objects
      are added as children of the current working node. params is a
      dictsionary with parameters for the new nodes.

Parameters:

      /model	- literal naming the modeltype (entry in modeldict)
      n		- the desired number of nodes
      params	- parameters for the newly created node(s)
      gid  	- gid of last created node

SeeAlso:

- modeldict
- ChangeSubnet

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/nestkernel/nestmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative